/* Polygon utilities.



@Copyright (c) 2002-2003 The Regents of the University of California.

All rights reserved.



Permission is hereby granted, without written agreement and without

license or royalty fees, to use, copy, modify, and distribute this

software and its documentation for any purpose, provided that the

above copyright notice and the following two paragraphs appear in all

copies of this software.



IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY

FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES

ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF

THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.



THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,

INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF

MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE

PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF

CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,

ENHANCEMENTS, OR MODIFICATIONS.



                                                PT_COPYRIGHT_VERSION 2

                                                COPYRIGHTENDKEY

*/



package org.geon;



import java.io.BufferedReader;

import java.io.ByteArrayInputStream;

import java.io.StringReader;

import java.util.Iterator;

import java.util.LinkedList;

import java.util.List;

import java.util.StringTokenizer;

import java.util.Vector;

import java.awt.Point;



import nl.skybound.awt.DoublePolygon;



//////////////////////////////////////////////////////////////////////////

//// PolygonUtil

/**



@author Efrat Jaeger

@version $Id: PolygonUtil.java,v 1.5 2004/05/06 19:19:07 jaeger Exp $

@since Ptolemy II 3.0.2

*/

public class PolygonUtil {



    public DoublePolygon Poly;

    public String Region;



    public Point point;

    public String id;



	/**

	 * Constructor for PolygonUtil.

	 */

	public PolygonUtil() {



	}



        public PolygonUtil(DoublePolygon P, String R) {

            Poly = P;

            Region = R;

        }



        public DoublePolygon getPolygon() {

            return this.Poly;

        }



        public String getRegion() {

            return this.Region;

        }



        public Point getPoint() {

            return this.point;

        }



        public String getID() {

            return this.id;

        }

}

